Bug 528450 - Pidgin with music tracker plugin crashes in Russian locale
Summary: Pidgin with music tracker plugin crashes in Russian locale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin-musictracker
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 09:41 UTC by Timon
Modified: 2009-10-15 22:34 UTC (History)
2 users (show)

Fixed In Version: 0.4.20-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-15 22:34:28 UTC
Type: ---


Attachments (Terms of Use)
stack trace from gdb (7.03 KB, text/plain)
2009-10-12 09:41 UTC, Timon
no flags Details

Description Timon 2009-10-12 09:41:15 UTC
Created attachment 364444 [details]
stack trace from gdb

Description of problem:

pidgin crashes when trying to open plugin preferences.

Version-Release number of selected component (if applicable):
pidgin-musictracker-0.4.20-1.fc11.i586
pidgin-2.6.2-1.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. yum install pidgin pidgin-musictracker
2. LANG=ru_RU.UTF-8 pidgin
3. open Plugins list (Инструменты->Модули in Russian)
4. check Music Tracker in list
5. press Preferences (Настроить модуль in Russian)
  
Actual results:
bug-buddy window

Expected results:
music tracker preferences window

Additional info:
with LANG=en_EN.UTF-8 works fine

previous version  pidgin-musictracker 0.16 seems that works fine

Comment 1 Jan Klepek 2009-10-12 16:43:46 UTC
- successfully reproduced
- reported to upstream ( http://code.google.com/p/pidgin-musictracker/issues/detail?id=176 )
- waiting for fix from upstream

pidgin-musictracker 0.16 doesn't have russian locales

Comment 2 Jan Klepek 2009-10-13 18:41:17 UTC
package packed & tested with patch for preferences.c
update submitted into bodhi

Comment 3 Fedora Update System 2009-10-13 18:47:24 UTC
pidgin-musictracker-0.4.20-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-musictracker-0.4.20-3.fc11

Comment 4 Timon 2009-10-14 04:24:54 UTC
cool. thanks :)

Comment 5 Fedora Update System 2009-10-15 22:34:23 UTC
pidgin-musictracker-0.4.20-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.